
## SISO Simulation Interoperability Workshop (SIW) 2022

* [2022 Virtual SIW Tutorial Descriptions, 7 FEB 2022](LIVE Tutorials on Monday 7 February.pdf)

**Generating Distributed Interactive Simulation (DIS) Codebases using opendis7-source-generator**

by Don Brutzman, Rick Lentz, Terry D. Norbraten, Christian Fitzpatrick, Curtis L. Blais,

* [paper](2022-SIW-19-OpenDIS7SourceGeneratorDesign.pdf),
  [presentation](2022-SIW-19-OpenDIS7SourceGeneratorDesign-presentation.pdf),
  [tutorial](2022-SIW-19-OpenDIS7SourceGeneratorDesign.pdf), and
  [video](https://savage.nps.edu/videos/opendis7CodebasePaperTutorialSisoSiwFebruary2022.mp4)

Example programs are found at
* [../../examples/src/OpenDis7Examples/README.md](../../examples/src/OpenDis7Examples/README.md)
* [opendis7 Javadoc](https://savage.nps.edu/opendis7-java/javadoc)
